### Name: amtest
### Title: Testing multiple outcomes
### Aliases: amtest
### Keywords: models htest

### ** Examples


##Example from: McCullagh, P. and Nelder, J.A. (1989,p. 239). Generalized Linear Models. Second Edition. 
##Chapman & Hall/CRC.

model1 <- glm(y1~group, family=binomial,na.action=na.omit,data=mn6.9)

model2 <- glm(y2~group, family=binomial,na.action=na.omit,data=mn6.9)

model3 <- glm(y3~group, family=binomial,na.action=na.omit,data=mn6.9)

model4 <- glm(y4~group, family=binomial,na.action=na.omit,data=mn6.9)

amtest(list(model1,model2,model3,model4),"group2",vcov.="model-based")

amtest(list(model1,model2,model3,model4),"group2")



##Multiple testing in case of perfectly correlated outcomes

amtest(list(model2,model2),"group2",vcov.="model-based")

amtest(list(model2,model2),"group2")


## Multiple testing in a subgroup analysis and overall analysis

subgroup<-mn6.9

set.seed(2982)

subgroup[sample(1:2982,1500),]<-NA

model1<- glm(y2~group, family=binomial,na.action=na.omit,data=mn6.9)

model2<- glm(y2~group, family=binomial,na.action=na.omit,data=subgroup)

amtest(list(model1,model2),"group2",vcov.="model-based")

amtest(list(model1,model2),"group2")




